--- title: "deleteLoadBalancerListeners" slug: "networking-vloadbalancer-loadbalancer-deleteloadbalancerlisteners" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-deleteloadbalancerlisteners" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteLoadBalancerListeners Available in VPC Delete a listener registered with a load balancer. There must be at least one listener in the load balancer after deleting. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/deleteLoadBalancerListeners | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the load balancer instance where the listener you want to delete is registered - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `loadBalancerListenerNoList.N` | List[String] | Required | List of numbers of the load balancer listeners - `loadBalancerListenerNo` can be obtained through [getLoadBalancerListenerList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerlistenerlist) - loadBalancerListenerNoList.1=1234&loadBalancerListenerNoList.2=2345 | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/deleteLoadBalancerListeners?regionCode=KR&loadBalancerListenerNoList.1=******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [LoadBalancerListenerList](/docs/en/common-vapidatatype-loadbalancerlistenerlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 284e0c0a-ca34-4f7d-964a-ff381cf8e77b 0 success 1 ******** ****** HTTP HTTP protocol 80 false ****** ```